이번에 백업용 DB 서버에서 개발사에서 제공한 이기종간 Database link를 사용할 수 있게 해주는 Gateway 프로그램을 실행하는데 오류가 발생하더군요. 그래서 검색을 해봤더니 ldd라는 명령어를 이용하여 해당 실행 파일이 필요로하는 라이브러리를 확인할 수 있더군요.

DB1> ldd 파일이름


이렇게 해주면 라이브러리 이름과 버전 정보를 알려줍니다. 아래는 ls를 ldd 명령으로 라이브러리 정보를 확인해본 결과입니다.

db@DB1:/bin>ldd ls
    librt.so.1 => /lib64/tls/librt.so.1 (0x00000034e0600000)
    libacl.so.1 => /lib64/libacl.so.1 (0x0000002a9557f000)
    libselinux.so.1 => /lib64/libselinux.so.1 (0x00000034de900000)
    libc.so.6 => /lib64/tls/libc.so.6 (0x00000034dc000000)
    libpthread.so.0 => /lib64/tls/libpthread.so.0 (0x00000034dcb00000)
    /lib64/ld-linux-x86-64.so.2 (0x00000034dbc00000)
    libattr.so.1 => /lib64/libattr.so.1 (0x0000002a95686000)

YOUR COMMENT IS THE CRITICAL SUCCESS FACTOR FOR THE QUALITY OF BLOG POST